Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039745
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2018-09-06 11:242018-12-13 08:06
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision0e3adc2b1368
ProjectionnoneETAnoneTarget VersionRR18Q3.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039745: Initial Validation: wrong document type configuration

DescriptionDuring the login in POS, should be checked if the sales order document type related with this terminal is properly configured:
. it is configured the shipment type
. it is configured the invoice type
Steps To Reproduce[BO]
. Document Type window: VBS POS Order
-> update the field "Document Type for Shipment" from VBS MM Shipment to void

[POS- VBS-1]
. do login -> login can be done
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039235 closedranjith_qualiantech_com Initial Validation: wrong document type configuration 

-  Notes
(0108572)
hgbot (developer)
2018-12-13 08:06

Repository: retail/backports/3.0RR18Q3.4/org.openbravo.retail.posterminal
Changeset: 0e3adc2b13680cff0797b5cdca7d7b83fbf45e25
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 13 12:36:28 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q3.4/org.openbravo.retail.posterminal/rev/0e3adc2b13680cff0797b5cdca7d7b83fbf45e25 [^]

Fixed issue 39745 : Added Initial Validtion to check Document type is configured for POS Terminal Type

* Terminal Type Document type for Shipment and Invoice should not be empty

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/InitialValidations.java
---

- Issue History
Date Modified Username Field Change
2018-12-04 12:53 marvintm Type defect => backport
2018-12-04 12:53 marvintm Target Version => RR18Q3.4
2018-12-13 08:06 hgbot Checkin
2018-12-13 08:06 hgbot Note Added: 0108572
2018-12-13 08:06 hgbot Status scheduled => resolved
2018-12-13 08:06 hgbot Resolution open => fixed
2018-12-13 08:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4a648bf1fedf095dbc783c0e20f67aac1c4f992b [^] => http://code.openbravo.com/retail/backports/3.0RR18Q3.4/org.openbravo.retail.posterminal/rev/0e3adc2b13680cff0797b5cdca7d7b83fbf45e25 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker